﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Geekees.App.SinaFeed.Web
{
    public class SinaTweet
    {
        public IList<Result> result = new List<Result>();
        public int errno { set; get; }
        public string errmsg { set; get; }
        public int count { set; get; }

        #region Nested type: AtUser

        public class AtUser
        {
        }

        #endregion

        #region Nested type: Content

        public class Content
        {
            public string atUsers;
            public Pic pic = new Pic();
            public string text { set; get; }
        }

        #endregion

        #region Nested type: Pic

        public class Pic
        {
            // public string id { set; get; }
            public string url { set; get; }
        }

        #endregion

        #region Nested type: Result

        public class Result
        {
            public Content content = new Content();
            private Rt rt = new Rt();
            public string mblogid { set; get; }
            public string uid { set; get; }
            public int time { set; get; }
            public string strtime { set; get; }
            public string source { set; get; }
            public int rtnum { set; get; }
            public int cmtnum { set; get; }

            public Rt Rt
            {
                get { return rt; }
                set { rt = value; }
            }
        }

        #endregion

        #region Nested type: Rt

        public class Rt
        {
            public string rootuid { set; get; }
            public string rootid { set; get; }
            public string fromuid { set; get; }
            public string rtnick { set; get; }
            public string rturl { set; get; }
            public string rtreason { set; get; }
            public int rootrtnum { set; get; }
        }

        #endregion
    }
}
